| ## Public API Reference

- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# csParticle Struct Reference
[Mesh plugins]

Data representation of a single particle. More...

`#include <imesh/particles.h>`

List of all members.

## Public Attributes
csVector3 | angularVelocity
| Angular velocity.
csVector3 | linearVelocity
| Current linear velocity.
float | mass
| Particle mass.
csQuaternion | orientation
| Orientation of a single particle.
float | pad
csVector3 | position
| Position.
float | timeToLive
| Current time to live.

## Detailed Description

Data representation of a single particle.

Definition at line 172 of file particles.h.

## Member Data Documentation

csVector3 csParticle::angularVelocity

Angular velocity.

Definition at line 209 of file particles.h.

csVector3 csParticle::linearVelocity

Current linear velocity.

In absolute (world) space or relative to system depending on properties of the particle system.

Definition at line 199 of file particles.h.

float csParticle::mass

Particle mass.

Definition at line 184 of file particles.h.

csQuaternion csParticle::orientation

Orientation of a single particle.

The particle is defined to have its normal along the z-axis and thus lies in the xy plane defined by this quaternion.

Definition at line 192 of file particles.h.

csVector3 csParticle::position

Position.

In absolute (world) space or relative to system depending on properties of the particle system.

Definition at line 179 of file particles.h.

float csParticle::timeToLive

Current time to live.

Definition at line 204 of file particles.h.

The documentation for this struct was generated from the following file:

- imesh/particles.h